# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 20;
BEGIN { use_ok('Minas::BigMac') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

require_ok('Minas::BigMac');

ok($bm = Minas::BigMac->new, "new method");
ok($bm->setDictionaryLocation("/home/cs/tpederse/CS8761/BigMac/bigmac.corrected2.sgml"), "set dictionary location");
ok($bm->setThesaurusLocation("/home/cs/tpederse/CS8761/BigMac/thes.data"), "set
thesaurus location");

%pronscheck = {
	"uh'banduhn" => 1,
};
%synscheck={
	"194.1.1" => ["abandonment", "defection", "dereliction", "desertion", "desolation", "evacuation", "exposure", "relinquishment", "resignation", "surrender", "vacation", "waiver"],
	"194.2.1" => ["abandoner"],
	"156.3.3" => ["staunch", "stay", "stem"],
	"194.4.1" => ["abandon"],
	"45.5.8" => ["abscond", "absent oneself", "blow through", "decamp", "desert", "do a bunk", "do a getaway", "do a moonlight flit", "do a sneak", "get off", "go A.W.O.L.", "leave in the lurch", "make oneself scarce", "nick off", "play truant", "run away", "run off", "run out on", "scarper", "shoot the moon", "shoot through", "skip", "slope off", "take French leave", "take to the bush", "take to the hills"],
};
@synscheck = ("abandonment",
        "defection",
        "dereliction",
        "desertion",
        "desolation",
        "evacuation",
        "exposure",
        "relinquishment",
        "resignation",
        "surrender",
        "vacation",
        "waiver",
        "abandoner",
        "staunch",
        "stay",
        "stem",
        "abandon",
        "abscond",
        "absent oneself",
        "blow through",
        "decamp",
        "desert",
        "do a bunk",
        "do a getaway",
        "do a moonlight flit",
        "do a sneak",
        "get off",
        "go A.W.O.L.",
        "leave in the lurch",
        "make oneself scarce",
        "nick off",
        "play truant",
        "run away",
        "run off",
        "run out on",
        "scarper",
        "shoot the moon",
        "shoot through",
        "skip",
        "slope off",
        "take French leave",
        "take to the bush",
        "take to the hills");

%etycheck = {
        "Middle English" =>  "<I>abandone(n)</I>, from",
	"Old French" =>  "<I>abandoner</I>, from the phrase <I>a bandon</I> under one's jurisdiction"
};

@ipcheck = ("to abandon one's home.",
	    "to abandon a city to a conqueror.",
	     "to abandon oneself to grief.");

@defcheck = ("to leave completely and finally; forsake utterly; desert",
"to give up all concern in",
"to give up (something begun) without finishing",
"to give up the control of",
"to yield (oneself) unrestrainedly",
"to cast away or leave personal property with no intention of reclaiming it, thereby making the property available for appropriation by any person.",
"to relinquish insured property to the underwriter in case of partial loss, thereby enabling the insured to claim a total loss.",
"a giving up to natural impulses; freedom from constraint or conventionality");

@defs = $bm->getDefinitions($word);
%prons = $bm->getPronunciations($word);
@ips = $bm->getIdiomaticPhrases($word);
%etys = $bm->getEtymology($word,".*");
%syns = $bm->getSynonyms($word);

eq_array(\@defs,\@defcheck);
eq_hash(\%prons,\%pronscheck);
eq_array(\@ips,\@ipcheck);
eq_hash(\%etys,\%etycheck);
eq_hash(\%syns,\%synscheck);

#ok($bm->getEtymology($word,"English"),"check english roots");
#ok($bm->getEtymology($word,"French"),"check french connection");
ok($bm->getWords("house"),"list1");
ok($bm->getWords("large,house"),"list2");
$word="law";
ok($bm->getDefinitions($word),"more definition");
ok($bm->getPronunciations($word),"more pronunciation");
ok($bm->getIdiomaticPhrases($word),"more ips");
ok($bm->getEtymology($word,".*"),"more etymology");
ok($bm->getEtymology($word,"English"),"more english roots");
ok($bm->getSynonyms($word),"more synonyms");
ok($bm->getWords("law,order"),"list3");
ok($bm->getWords("put,an,end"),"list4");
$word="slide";
ok($bm->getDefinitions($word),"def");
ok($bm->getIdiomaticPhrases($word),"ip");
ok($bm->getEtymology($word,".*"),"ety");
ok($bm->getSynonyms($word),"syn");
ok($bm->getPronunciations($word),"pron");